Skip to main content
GET
cURL

Query Parameters

account_name
string

Account name created from setup_account_profile.

region_name
string

CSP region name.

recovery_mode
boolean

Doing the CoPilot deployment under disaster recovery mode.

migration_mode
boolean

Doing the CoPilot deployment under migration mode.

migration_eip
string

EIP of main CoPilot or single mode CoPilot.

is_cluster
boolean

.

cloud_type
string

Cloud-Service-Provider type which is represented by 1/2/4/8/16 etc...

main_copilot
string

Main Copilot configuration. Data is a list of pydicts in str-json format. Example: { "vpc_id": "my-aws-vpc-123", "subnet": "10.0.0.0/24", "vm_size": "t2.large" } .

cluster_data_nodes
string

Cluster_data_nodes. Data is list of pydict-objects in str-json format. Example: Example: [ { "vpc_id": "my-aws-vpc-123", "subnet": "10.99.11.0/24", "vm_size": "t2.large", "data_volume_size": 100 }, ... ] .

log_file
string

Full path of the progress log file.

controller_service_account_username
string

For Copilot-Whenever.

controller_service_account_password
string

For Copilot-Whenever.

account_number
string

Account number created from setup_account_profile.

vpc_id
string

The vpc id of an existing L3 vpc you wish to connect.

vpc_region
string

The region of an existing vpc you wish to connect.

vpc_zone
string

The vpc zone of an existing L3 vpc you wish to connect.

subnet_cidr
string

The subnet CIDR of an existing L3 subnet you wish to connect.

instance_id
string

Instance id for current controller.

instance_size
string

Instance size of vpc cloudx.

data_volume_size
string

Data volume size for copilot in gigabytes, and the default size is 100G.

action
string

The API action to perform. Required for 7.2 controllers only.

CID
string

The opaque session ID token. Required for 7.2 controllers only.

Response

General v2 API response schema.

A generic API response container for v2 style APIs.

errortype
string

Error type if the API failed.

reason
string

Failure reason if the API failed.

results

API response data

return
boolean

Whether the API returned successfully